﻿@font-face {
    font-family: 'bariolregular';
    src: url('/css/font/bariol_regular-webfont.eot');
    src: url('/css/font/bariol_regular-webfont.eot?#iefix') format('embedded-opentype'), url('/css/font/bariol_regular-webfont.woff2') format('woff2'), url('/css/font/bariol_regular-webfont.woff') format('woff'), url('/css/font/bariol_regular-webfont.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'argesta_headlineregular';
    src: url('/css/font/argestaheadline-regular-webfont.eot');
    src: url('/css/font/argestaheadline-regular-webfont.eot?#iefix') format('embedded-opentype'), url('/css/font/argestaheadline-regular-webfont.woff2') format('woff2'), url('/css/font/argestaheadline-regular-webfont.woff') format('woff'), url('/css/font/argestaheadline-regular-webfont.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

/* initialize elements */
*, *::before, *::after {
    box-sizing: border-box;
}

html {
    font-size: 16px;
    scroll-behavior: smooth;
}

body {
    display: block;
    position: relative;
    line-height: 1.5;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    overflow-y: auto;
    font-family: 'bariolregular';
    color: #fff;
    background-color: #151a1e;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

    body.journal {
        font-family: 'argesta_headlineregular';
        color: rgba(0, 0, 0, 0.65);
        background-color: #f2edea;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
    }

.hero {
    min-height: 100vh;
    position: relative;
    background-image: linear-gradient( rgba(0, 0, 0, 0.45), rgba(0, 0, 0, 0.65) ), var(--hero-image);
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: flex-end;
}

.hero-inner {
    width: min(1200px, calc(100% - 80px));
    margin: 0 auto;
    padding: 0 0 80px;
    color: white;
    font-family: 'argesta_headlineregular';
    position: relative;
}



.site-header {
    display: flex;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 2;
}

.site-logo {
    position: absolute;
    top: 7%;
    left: 5%;
    width: 15%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

    .site-logo img {
        width: 50%;
        padding: 0.75rem;
    }

    .site-logo .separator {
        display: block;
        width: 100%;
        height: 1px;
        background-color: #fff;
    }

nav {
    display: flex;
    position: absolute;
    top: 0;
    right: 0;
    padding: 32px;
    gap: 32px;
}

    nav a {
        color: #fff;
        text-decoration: none;
    }

/* journal */

.journal-content {
    font-family: 'argesta_headlineregular';
    line-height: 2;
    display: block;
    margin: 30vh 0;
    margin-left: 20vw;
    width: 40%;
    font-size: 1.15rem;
}

    .journal-content h1 {
        font-size: 4rem;
        line-height: 1.1;
        margin-bottom: 10vh;
    }

a {
    color: inherit;
    text-decoration: none
}
